This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821381 - [as7] Return value for 'no metrics' has changed
[as7] Return value for 'no metrics' has changed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On: 821380
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-14 06:03 EDT by Heiko W. Rupp
Modified: 2013-09-03 11:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 821380
Environment:
Last Closed: 2013-09-03 11:14:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-14 06:03:17 EDT
+++ This bug was initially created as a clone of Bug #821380 +++

When as7 has no metrics yet calculated, it used to return "No metrics available".

The as7 plugin reacts on this string.

AS7 has changed the code and now sends JBAS018003: No metrics available

This results in tons of error messages like this in the agent log:

2012-05-14 11:41:45,281 WARN  [ResourceContainer.invoker.daemon-32] (rhq.modules.plugins.jbossas7.WebConnectorComponent)- Non numeric input for [errorCount] : [JBAS018003: No metrics available]
Comment 1 Heiko W. Rupp 2012-05-14 09:47:21 EDT
release branch 4f35ae6
Comment 2 Viet Nguyen 2012-06-05 12:03:10 EDT
increased sample intervals to larger value.  unable to reproduce the error message in 3.1 CR1
Comment 3 Heiko W. Rupp 2013-09-03 11:14:39 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.